package com.qmth.themis.business.dto;

import com.qmth.themis.business.enums.WarningEnum;

import java.io.Serializable;

/**
 * @Description: 预警dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/18
 */
public class WarningDto implements Serializable {

    private WarningEnum warningEnum;//预警类型
    private Integer faceCount;//人脸数量，0：没有人脸，大于1：多张人脸
    private Double realness;//真实性结果，-1：没有，0：异常，1：正常
    private Long recordId;//考试记录id

    public WarningDto() {

    }

    public WarningDto(WarningEnum warningEnum, Integer faceCount, Double realness, Long recordId) {
        this.warningEnum = warningEnum;
        this.faceCount = faceCount;
        this.realness = realness;
        this.recordId = recordId;
    }

    public WarningEnum getWarningEnum() {
        return warningEnum;
    }

    public void setWarningEnum(WarningEnum warningEnum) {
        this.warningEnum = warningEnum;
    }

    public Integer getFaceCount() {
        return faceCount;
    }

    public void setFaceCount(Integer faceCount) {
        this.faceCount = faceCount;
    }

    public Double getRealness() {
        return realness;
    }

    public void setRealness(Double realness) {
        this.realness = realness;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }
}
